This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1463532 - section for --ciphers in the man page contains dead links
section for --ciphers in the man page contains dead links
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
25
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 04:10 EDT by Jan Stourac
Modified: 2017-06-23 16:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: curl-7.51.0-7.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-23 16:53:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stourac 2017-06-21 04:10:52 EDT
Description of problem:
There are dead HTTPS links in --ciphers section of curl man-page. It would be nice to update them with working ones or put some brief explanation regarding to the SSL vs NSS ciphers directly in place.

Version-Release number of selected component (if applicable):
curl-7.51.0-6.fc25.x86_64

curl --version
curl 7.51.0 (x86_64-redhat-linux-gnu) libcurl/7.51.0 NSS/3.29.3 zlib/1.2.8 libidn2/2.0.2 libpsl/0.17.0 (+libidn2/0.11) libssh2/1.8.0 nghttp2/1.13.0
Protocols: dict file ftp ftps gopher http https imap imaps ldap ldaps pop3 pop3s rtsp scp sftp smb smbs smtp smtps telnet tftp 
Features: AsynchDNS IDN IPv6 Largefile GSS-API Kerberos SPNEGO NTLM NTLM_WB SSL libz HTTP2 UnixSockets Metalink PSL

How reproducible:
always

Steps to Reproduce:
1. man curl
2. search for: --ciphers

Actual results:
(SSL)  Specifies  which  ciphers  to  use  in  the  connection.  The  list  of  ciphers   must   specify   valid   ciphers.   Read   up   on   SSL   cipher   list   details   on   this   URL: https://www.openssl.org/docs/apps/ciphers.html

NSS   ciphers   are   done   differently   than   OpenSSL   and   GnuTLS.   The   full   list   of   NSS   ciphers   is   in   the   NSSCipherSuite  entry  at  this  URL:  https://git.fedora-hosted.org/cgit/mod_nss.git/plain/docs/mod_nss.html#Directives

Expected results:
working links with useful information regarding to the SSL vs NSS ciphers or some brief info directly in place.

Additional info:
Comment 1 Kamil Dudka 2017-06-21 09:27:05 EDT
Thank you for reporting it!  This is easy to fix...
Comment 3 Fedora Update System 2017-06-21 10:32:12 EDT
curl-7.51.0-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f7cdf3e04
Comment 4 Fedora Update System 2017-06-22 23:28:05 EDT
curl-7.51.0-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f7cdf3e04
Comment 5 Fedora Update System 2017-06-23 16:53:36 EDT
curl-7.51.0-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.